C3P0PooledDataSource (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.mbean

## Class C3P0PooledDataSource

- java.lang.Object
- - com.mchange.v2.c3p0.mbean.C3P0PooledDataSource

- All Implemented Interfaces:
    C3P0PooledDataSourceMBean

  Deprecated.
  Please use com.mchange.v2.c3p0.jboss.C3P0PooledDataSource

      public class C3P0PooledDataSource
      extends java.lang.Object
      implements C3P0PooledDataSourceMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0PooledDataSource()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `void` | `create()` Deprecated.
    `void` | `destroy()` Deprecated.
    `int` | `getAcquireIncrement()` Deprecated.
    `int` | `getAcquireRetryAttempts()` Deprecated.
    `int` | `getAcquireRetryDelay()` Deprecated.
    `java.lang.String` | `getAutomaticTestTable()` Deprecated.
    `int` | `getCheckoutTimeout()` Deprecated.
    `java.lang.String` | `getConnectionTesterClassName()` Deprecated.
    `java.lang.String` | `getDataSourceName()` Deprecated.
    `java.lang.String` | `getDescription()` Deprecated.
    `java.lang.String` | `getDriverClass()` Deprecated.
    `java.lang.String` | `getFactoryClassLocation()` Deprecated.
    `int` | `getIdleConnectionTestPeriod()` Deprecated.
    `int` | `getInitialPoolSize()` Deprecated.
    `java.lang.String` | `getJdbcUrl()` Deprecated.
    `java.lang.String` | `getJndiName()` Deprecated.
    `int` | `getMaxIdleTime()` Deprecated.
    `int` | `getMaxPoolSize()` Deprecated.
    `int` | `getMaxStatements()` Deprecated.
    `int` | `getMaxStatementsPerConnection()` Deprecated.
    `int` | `getMinPoolSize()` Deprecated.
    `int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)` Deprecated.
    `int` | `getNumBusyConnectionsAllUsers()` Deprecated.
    `int` | `getNumBusyConnectionsDefaultUser()` Deprecated.
    `int` | `getNumConnections(java.lang.String username, java.lang.String password)` Deprecated.
    `int` | `getNumConnectionsAllUsers()` Deprecated.
    `int` | `getNumConnectionsDefaultUser()` Deprecated.
    `int` | `getNumHelperThreads()` Deprecated.
    `int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)` Deprecated.
    `int` | `getNumIdleConnectionsAllUsers()` Deprecated.
    `int` | `getNumIdleConnectionsDefaultUser()` Deprecated.
    `int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)` Deprecated.
    `int` | `getNumUnclosedOrphanedConnectionsAllUsers()` Deprecated.
    `int` | `getNumUnclosedOrphanedConnectionsDefaultUser()` Deprecated.
    `int` | `getNumUserPools()` Deprecated.
    `java.lang.String` | `getPassword()` Deprecated.
    `java.lang.String` | `getPreferredTestQuery()` Deprecated.
    `int` | `getPropertyCycle()` Deprecated.
    `java.lang.String` | `getUser()` Deprecated.
    `void` | `hardReset()` Deprecated.
    `boolean` | `isAutoCommitOnClose()` Deprecated.
    `boolean` | `isBreakAfterAcquireFailure()` Deprecated.
    `boolean` | `isForceIgnoreUnresolvedTransactions()` Deprecated.
    `boolean` | `isTestConnectionOnCheckin()` Deprecated.
    `boolean` | `isTestConnectionOnCheckout()` Deprecated.
    `boolean` | `isUsesTraditionalReflectiveProxies()` Deprecated.
    `void` | `setAcquireIncrement(int acquireIncrement)` Deprecated.
    `void` | `setAcquireRetryAttempts(int acquireRetryAttempts)` Deprecated.
    `void` | `setAcquireRetryDelay(int acquireRetryDelay)` Deprecated.
    `void` | `setAutoCommitOnClose(boolean autoCommitOnClose)` Deprecated.
    `void` | `setAutomaticTestTable(java.lang.String automaticTestTable)` Deprecated.
    `void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)` Deprecated.
    `void` | `setCheckoutTimeout(int checkoutTimeout)` Deprecated.
    `void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)` Deprecated.
    `void` | `setDataSourceName(java.lang.String name)` Deprecated.
    `void` | `setDescription(java.lang.String description)` Deprecated.
    `void` | `setDriverClass(java.lang.String driverClass)` Deprecated.
    `void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)` Deprecated.
    `void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)` Deprecated.
    `void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)` Deprecated.
    `void` | `setInitialPoolSize(int initialPoolSize)` Deprecated.
    `void` | `setJdbcUrl(java.lang.String jdbcUrl)` Deprecated.
    `void` | `setJndiName(java.lang.String jndiName)` Deprecated.
    `void` | `setMaxIdleTime(int maxIdleTime)` Deprecated.
    `void` | `setMaxPoolSize(int maxPoolSize)` Deprecated.
    `void` | `setMaxStatements(int maxStatements)` Deprecated.
    `void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)` Deprecated.
    `void` | `setMinPoolSize(int minPoolSize)` Deprecated.
    `void` | `setNumHelperThreads(int numHelperThreads)` Deprecated.
    `void` | `setPassword(java.lang.String password)` Deprecated.
    `void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)` Deprecated.
    `void` | `setPropertyCycle(int propertyCycle)` Deprecated.
    `void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)` Deprecated.
    `void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)` Deprecated.
    `void` | `setUser(java.lang.String user)` Deprecated.
    `void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)` Deprecated.
    `void` | `softReset(java.lang.String username, java.lang.String password)` Deprecated.
    `void` | `softResetAllUsers()` Deprecated.
    `void` | `softResetDefaultUser()` Deprecated.
    `void` | `start()` Deprecated.
    `void` | `stop()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0PooledDataSource

          public C3P0PooledDataSource()

      Deprecated.

  - ### Method Detail

    - #### setJndiName

          public void setJndiName(java.lang.String jndiName)
                           throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setJndiName` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getJndiName

          public java.lang.String getJndiName()

      Deprecated.
      Specified by:
        `getJndiName` in interface `C3P0PooledDataSourceMBean`

    - #### getDescription

          public java.lang.String getDescription()

      Deprecated.
      Specified by:
        `getDescription` in interface `C3P0PooledDataSourceMBean`

    - #### setDescription

          public void setDescription(java.lang.String description)
                              throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setDescription` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getDriverClass

          public java.lang.String getDriverClass()

      Deprecated.
      Specified by:
        `getDriverClass` in interface `C3P0PooledDataSourceMBean`

    - #### setDriverClass

          public void setDriverClass(java.lang.String driverClass)
                              throws java.beans.PropertyVetoException,
                                     javax.naming.NamingException

      Deprecated.
      Specified by:
        `setDriverClass` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.beans.PropertyVetoException`
        `javax.naming.NamingException`

    - #### getJdbcUrl

          public java.lang.String getJdbcUrl()

      Deprecated.
      Specified by:
        `getJdbcUrl` in interface `C3P0PooledDataSourceMBean`

    - #### setJdbcUrl

          public void setJdbcUrl(java.lang.String jdbcUrl)
                          throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setJdbcUrl` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getUser

          public java.lang.String getUser()

      Deprecated.
      Specified by:
        `getUser` in interface `C3P0PooledDataSourceMBean`

    - #### setUser

          public void setUser(java.lang.String user)
                       throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getPassword

          public java.lang.String getPassword()

      Deprecated.
      Specified by:
        `getPassword` in interface `C3P0PooledDataSourceMBean`

    - #### setPassword

          public void setPassword(java.lang.String password)
                           throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setPassword` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getCheckoutTimeout

          public int getCheckoutTimeout()

      Deprecated.
      Specified by:
        `getCheckoutTimeout` in interface `C3P0PooledDataSourceMBean`

    - #### setCheckoutTimeout

          public void setCheckoutTimeout(int checkoutTimeout)
                                  throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setCheckoutTimeout` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getAcquireIncrement

          public int getAcquireIncrement()

      Deprecated.
      Specified by:
        `getAcquireIncrement` in interface `C3P0PooledDataSourceMBean`

    - #### setAcquireIncrement

          public void setAcquireIncrement(int acquireIncrement)
                                   throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setAcquireIncrement` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getAcquireRetryAttempts

          public int getAcquireRetryAttempts()

      Deprecated.
      Specified by:
        `getAcquireRetryAttempts` in interface `C3P0PooledDataSourceMBean`

    - #### setAcquireRetryAttempts

          public void setAcquireRetryAttempts(int acquireRetryAttempts)
                                       throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setAcquireRetryAttempts` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getAcquireRetryDelay

          public int getAcquireRetryDelay()

      Deprecated.
      Specified by:
        `getAcquireRetryDelay` in interface `C3P0PooledDataSourceMBean`

    - #### setAcquireRetryDelay

          public void setAcquireRetryDelay(int acquireRetryDelay)
                                    throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setAcquireRetryDelay` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isAutoCommitOnClose

          public boolean isAutoCommitOnClose()

      Deprecated.
      Specified by:
        `isAutoCommitOnClose` in interface `C3P0PooledDataSourceMBean`

    - #### setAutoCommitOnClose

          public void setAutoCommitOnClose(boolean autoCommitOnClose)
                                    throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setAutoCommitOnClose` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getConnectionTesterClassName

          public java.lang.String getConnectionTesterClassName()

      Deprecated.
      Specified by:
        `getConnectionTesterClassName` in interface `C3P0PooledDataSourceMBean`

    - #### setConnectionTesterClassName

          public void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                            throws java.beans.PropertyVetoException,
                                                   javax.naming.NamingException

      Deprecated.
      Specified by:
        `setConnectionTesterClassName` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.beans.PropertyVetoException`
        `javax.naming.NamingException`

    - #### getAutomaticTestTable

          public java.lang.String getAutomaticTestTable()

      Deprecated.
      Specified by:
        `getAutomaticTestTable` in interface `C3P0PooledDataSourceMBean`

    - #### setAutomaticTestTable

          public void setAutomaticTestTable(java.lang.String automaticTestTable)
                                     throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setAutomaticTestTable` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isForceIgnoreUnresolvedTransactions

          public boolean isForceIgnoreUnresolvedTransactions()

      Deprecated.
      Specified by:
        `isForceIgnoreUnresolvedTransactions` in interface `C3P0PooledDataSourceMBean`

    - #### setForceIgnoreUnresolvedTransactions

          public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)
                                                    throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setForceIgnoreUnresolvedTransactions` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getIdleConnectionTestPeriod

          public int getIdleConnectionTestPeriod()

      Deprecated.
      Specified by:
        `getIdleConnectionTestPeriod` in interface `C3P0PooledDataSourceMBean`

    - #### setIdleConnectionTestPeriod

          public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)
                                           throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setIdleConnectionTestPeriod` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getInitialPoolSize

          public int getInitialPoolSize()

      Deprecated.
      Specified by:
        `getInitialPoolSize` in interface `C3P0PooledDataSourceMBean`

    - #### setInitialPoolSize

          public void setInitialPoolSize(int initialPoolSize)
                                  throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setInitialPoolSize` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getMaxIdleTime

          public int getMaxIdleTime()

      Deprecated.
      Specified by:
        `getMaxIdleTime` in interface `C3P0PooledDataSourceMBean`

    - #### setMaxIdleTime

          public void setMaxIdleTime(int maxIdleTime)
                              throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setMaxIdleTime` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getMaxPoolSize

          public int getMaxPoolSize()

      Deprecated.
      Specified by:
        `getMaxPoolSize` in interface `C3P0PooledDataSourceMBean`

    - #### setMaxPoolSize

          public void setMaxPoolSize(int maxPoolSize)
                              throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setMaxPoolSize` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getMaxStatements

          public int getMaxStatements()

      Deprecated.
      Specified by:
        `getMaxStatements` in interface `C3P0PooledDataSourceMBean`

    - #### setMaxStatements

          public void setMaxStatements(int maxStatements)
                                throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setMaxStatements` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getMaxStatementsPerConnection

          public int getMaxStatementsPerConnection()

      Deprecated.
      Specified by:
        `getMaxStatementsPerConnection` in interface `C3P0PooledDataSourceMBean`

    - #### setMaxStatementsPerConnection

          public void setMaxStatementsPerConnection(int maxStatementsPerConnection)
                                             throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setMaxStatementsPerConnection` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getMinPoolSize

          public int getMinPoolSize()

      Deprecated.
      Specified by:
        `getMinPoolSize` in interface `C3P0PooledDataSourceMBean`

    - #### setMinPoolSize

          public void setMinPoolSize(int minPoolSize)
                              throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setMinPoolSize` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getPropertyCycle

          public int getPropertyCycle()

      Deprecated.
      Specified by:
        `getPropertyCycle` in interface `C3P0PooledDataSourceMBean`

    - #### setPropertyCycle

          public void setPropertyCycle(int propertyCycle)
                                throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setPropertyCycle` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isBreakAfterAcquireFailure

          public boolean isBreakAfterAcquireFailure()

      Deprecated.
      Specified by:
        `isBreakAfterAcquireFailure` in interface `C3P0PooledDataSourceMBean`

    - #### setBreakAfterAcquireFailure

          public void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)
                                           throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setBreakAfterAcquireFailure` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isTestConnectionOnCheckout

          public boolean isTestConnectionOnCheckout()

      Deprecated.
      Specified by:
        `isTestConnectionOnCheckout` in interface `C3P0PooledDataSourceMBean`

    - #### setTestConnectionOnCheckout

          public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)
                                           throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setTestConnectionOnCheckout` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isTestConnectionOnCheckin

          public boolean isTestConnectionOnCheckin()

      Deprecated.
      Specified by:
        `isTestConnectionOnCheckin` in interface `C3P0PooledDataSourceMBean`

    - #### setTestConnectionOnCheckin

          public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)
                                          throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setTestConnectionOnCheckin` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### isUsesTraditionalReflectiveProxies

          public boolean isUsesTraditionalReflectiveProxies()

      Deprecated.
      Specified by:
        `isUsesTraditionalReflectiveProxies` in interface `C3P0PooledDataSourceMBean`

    - #### setUsesTraditionalReflectiveProxies

          public void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)
                                                   throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setUsesTraditionalReflectiveProxies` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getPreferredTestQuery

          public java.lang.String getPreferredTestQuery()

      Deprecated.
      Specified by:
        `getPreferredTestQuery` in interface `C3P0PooledDataSourceMBean`

    - #### setPreferredTestQuery

          public void setPreferredTestQuery(java.lang.String preferredTestQuery)
                                     throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setPreferredTestQuery` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getDataSourceName

          public java.lang.String getDataSourceName()

      Deprecated.

    - #### setDataSourceName

          public void setDataSourceName(java.lang.String name)
                                 throws javax.naming.NamingException

      Deprecated.
      Throws:
        `javax.naming.NamingException`

    - #### getNumHelperThreads

          public int getNumHelperThreads()

      Deprecated.
      Specified by:
        `getNumHelperThreads` in interface `C3P0PooledDataSourceMBean`

    - #### setNumHelperThreads

          public void setNumHelperThreads(int numHelperThreads)
                                   throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setNumHelperThreads` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getFactoryClassLocation

          public java.lang.String getFactoryClassLocation()

      Deprecated.
      Specified by:
        `getFactoryClassLocation` in interface `C3P0PooledDataSourceMBean`

    - #### setFactoryClassLocation

          public void setFactoryClassLocation(java.lang.String factoryClassLocation)
                                       throws javax.naming.NamingException

      Deprecated.
      Specified by:
        `setFactoryClassLocation` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `javax.naming.NamingException`

    - #### getNumUserPools

          public int getNumUserPools()
                              throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumUserPools` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumConnectionsDefaultUser

          public int getNumConnectionsDefaultUser()
                                           throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsDefaultUser

          public int getNumIdleConnectionsDefaultUser()
                                               throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumIdleConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsDefaultUser

          public int getNumBusyConnectionsDefaultUser()
                                               throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumBusyConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsDefaultUser

          public int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                           throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumUnclosedOrphanedConnectionsDefaultUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumConnections

          public int getNumConnections(java.lang.String username,
                                       java.lang.String password)
                                throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumConnections` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnections

          public int getNumIdleConnections(java.lang.String username,
                                           java.lang.String password)
                                    throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumIdleConnections` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnections

          public int getNumBusyConnections(java.lang.String username,
                                           java.lang.String password)
                                    throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumBusyConnections` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnections

          public int getNumUnclosedOrphanedConnections(java.lang.String username,
                                                       java.lang.String password)
                                                throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumUnclosedOrphanedConnections` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumConnectionsAllUsers

          public int getNumConnectionsAllUsers()
                                        throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsAllUsers

          public int getNumIdleConnectionsAllUsers()
                                            throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumIdleConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsAllUsers

          public int getNumBusyConnectionsAllUsers()
                                            throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumBusyConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsAllUsers

          public int getNumUnclosedOrphanedConnectionsAllUsers()
                                                        throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getNumUnclosedOrphanedConnectionsAllUsers` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### softResetDefaultUser

          public void softResetDefaultUser()
                                    throws java.sql.SQLException

      Deprecated.
      Specified by:
        `softResetDefaultUser` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### softReset

          public void softReset(java.lang.String username,
                                java.lang.String password)
                         throws java.sql.SQLException

      Deprecated.
      Specified by:
        `softReset` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### softResetAllUsers

          public void softResetAllUsers()
                                 throws java.sql.SQLException

      Deprecated.
      Specified by:
        `softResetAllUsers` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### hardReset

          public void hardReset()
                         throws java.sql.SQLException

      Deprecated.
      Specified by:
        `hardReset` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Deprecated.
      Specified by:
        `close` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.sql.SQLException`

    - #### create

          public void create()
                      throws java.lang.Exception

      Deprecated.
      Specified by:
        `create` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.lang.Exception`

    - #### start

          public void start()
                     throws java.lang.Exception

      Deprecated.
      Specified by:
        `start` in interface `C3P0PooledDataSourceMBean`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()

      Deprecated.
      Specified by:
        `stop` in interface `C3P0PooledDataSourceMBean`

    - #### destroy

          public void destroy()

      Deprecated.
      Specified by:
        `destroy` in interface `C3P0PooledDataSourceMBean`